Is it possible to package the latest GChemPaint Version for Jaunty/Karmic

Asked by Matthias Mailänder on 2009-09-17

GChemPaint is currently in version 0.8.7 in Ubuntu 9.04 Jaunty Jackelope and that since Ubuntu 8.04 Hardy Heron. There is no version of GChemPaint in Ubuntu 9.10 Karmic Koala. The current stable version is 0.10.8 and available in Debian sid. I could not build it myself using Prevu in Jaunty. When I tried to install the Debian Sid packages manually I stopped when I had missing dependencies around GOffice.

Is it possible to build GChemPaint in Jaunty or Karmic, maybe without GOffice support?

PS: I offer help, but I am really new to package creation. Maybe this one is even too difficult for a beginner.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu gnome-chemistry-utils Edit question
Assignee:
No assignee Edit question
Solved by:
Matthias Mailänder
Solved:
2009-09-18
Last query:
2009-09-18
Last reply:
2009-09-18

Building GChemPaint without GOffice support is just not possible.

I was able to install GChemPaint 0.10.8 on Jaunty using GOffice from Karmic:

prevu http://archive.ubuntu.com/ubuntu/pool/main/g/goffice/goffice_0.7.8-1ubuntu1.dsc

install the new libgoffice8-dev using apt

download + extract gnome-chemistry-utils-0.10.8.tar.gz

./configure
make
sudo checkinstall

The bad selfmade package of course heavily conflicts so everything related to GNOME Chemistry Utils 0.8.7 like libgcu and gchempaint has to be removed manually using apt.

prevu http://ftp.de.debian.org/debian/pool/main/g/gnome-chemistry-utils/gnome-chemistry-utils_0.10.8-1.dsc failed, but I could not find a reason in the log. I guess some Debian/Ubuntu incompatibilties are the reason why there is no package for Karmic.